FPM Functions
IIS
FPM Functions
PHP Manual

# fastcgi_finish_request

Flushes all response data to the client

### Description

boolean fastcgi_finish_request ( void )

This function flushes all response data to the client and finishes the request. This allows for time consuming tasks to be performed without leaving the connection to the client open.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.